Package de.willuhn.jameica.hbci.experiments

# Interface Feature

All Known Implementing Classes:
  `AbstractHBCI4JavaFeature`, `HBCI4JavaFeatureAutoMethod`, `HBCI4JavaFeatureInitFlipUserInst`, `HBCI4JavaFeatureSegCodeStrict`, `HBCI4JavaFeatureSkipOneStepSCA`, `HBCI4JavaFeatureSyncSepaInfo`

public interface Feature
Interface fuer ein aktivierbares/deaktivierbares Feature.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getDefault()`
Liefert true, wenn das Feature per Default aktiv sein soll.
`String`
`getDescription()`
Liefert die Beschreibung des Features.
`String`
`getName()`
Liefert einen eindeutigen Namen fuer das Feature.
`void`
`setEnabled(boolean enabled)`
Aktiviert/deaktiviert das Feature.

## Method Details

### getName

String getName()
Liefert einen eindeutigen Namen fuer das Feature.

Returns:
  eindeutiger Name fuer das Feature.

### getDescription

String getDescription()
Liefert die Beschreibung des Features.

Returns:
  die Beschreibung des Features.

### getDefault

boolean getDefault()
Liefert true, wenn das Feature per Default aktiv sein soll.

Returns:
  true, wenn das Feature per Default aktiv sein soll.

### setEnabled

void setEnabled(boolean enabled)
Aktiviert/deaktiviert das Feature. Wird automatisch beim Start von Hibiscus aufgerufen, um den gewuenschten Feature-Zustand herzustellen.

Parameters:
  `enabled` - true, wenn das Feature aktiviert sein soll.